import { mergeTypeDefs } from 'graphql-toolkit';
import { makeExecutableSchema } from 'graphql-tools';
export function mergeSchemas(schemas) {
    const compactSchemas = schemas.filter(s => s);
    if (compactSchemas.length === 0) {
        return null;
    }
    else {
        return mergeTypeDefs(compactSchemas);
    }
}
export function buildSchema(node) {
    return makeExecutableSchema({
        typeDefs: node,
        allowUndefinedInResolve: true,
        resolverValidationOptions: {
            requireResolversForResolveType: false,
            requireResolversForAllFields: false,
            requireResolversForNonScalar: false,
            requireResolversForArgs: false
        }
    });
}
//# sourceMappingURL=merge-schemas.js.map